@charset "UTF-8";

.mall {
    max-width: 1720px;
}

/****搜尋****/
.mall__search {
    padding: 20px 100px 60px 100px;
    border-radius: 5px;
    box-shadow: 0 20px 40px rgba(44, 48, 67, .15);
    overflow: hidden;
}

.mall__search__bg {
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .5);
    z-index: 999;
}

.mall__search__form {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: center;
    justify-content: center;
}

/**頭部**/
.mall__search__form__head {
    left: -40px;
    display: none;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: calc(100% + 80px);
    padding: 0 0 0 40px;
    background: #fff;
    border-bottom: 2px solid rgba(91, 93, 101, .1);
    border-radius: 5px 5px 0 0;
    overflow: hidden;
    z-index: 100;
}

.mall__search__form__head__title {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    font-size: 20px;
    line-height: 1.2;
    color: #44464e;
    font-family: 'NotoSansTC-B';
    padding: 0 20px 0 0;
    flex: 0 1 auto;
}

.mall__search__form__head__title::before {
    content: '';
    position: relative;
    display: block;
    width: 20px;
    height: 15px;
    margin: 0 10px 0 0;
    background: url(../images/common/icon_list_white.svg) center no-repeat;
    background-size: contain;
    filter: brightness(0);
    flex: 0 0 auto;
}

.mall__search__form__head__close {
    margin: 0 0 -2px auto;
}

/**內文**/
.mall__search__form .c-form__item {
    padding: 30px 0;
}

.mall__search__form .c-form__item:first-of-type {
    border: none;
}

.mall__search__form .c-form__item-area {
    display: none;
}

.mall__search__form .c-form__item-area.active {
    display: flex;
}

.mall__search__form .c-form__item__title {
    min-width: 115px;
    margin: 0 20px 0 0;
}

.mall__search__bt {
    display: none;
    justify-items: center;
    justify-content: center;
}

.mall__search__btGroup {
    border: none;
    padding: 0;
}

.mall__search__btGroup__submit {
    justify-items: center;
    justify-content: center;
    width: 100%;
}

/****精選刊登****/
.mall__recommend {
    display: block;
    width: calc(100% + 50px);
    margin: 0 -25px;
    padding: 100px 0;
}

/**頭部**/
.mall__recommend__head {
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: flex-start;
    width: calc(100% - 50px);
    margin: 0 auto 35px auto;
}

.mall__recommend__head::before {
    content: '';
    position: relative;
    display: block;
    width: 100%;
    height: 2px;
    margin: 0 30px;
    background: rgba(91, 93, 101, .1);
    order: 2;
    flex: 0 1 auto;
}

.mall__recommend__head__title {
    width: auto;
    order: 1;
    flex: 0 0 auto;
}

.mall__recommend__head__bt {
    justify-items: center;
    justify-content: center;
    width: 280px;
    order: 3;
    flex: 0 0 auto;
}

.mall__recommend__head__bt .mall__recommend__head__bt__del {
    display: inline;
}

/**內文**/
.mall__recommend__inner {
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
}

.mall__recommend__inner .slick-arrow {
    top: min(119.25px, calc((100vw - 110px) * 577 / 1600 / 4 - 40px));
}

.mall__recommend__inner .slick-prev {
    left: -15px;
}

.mall__recommend__inner .slick-next {
    right: -15px;
}

.mall__recommend__inner__item {
    width: 100%;
    margin: 0 25px;
}

/****搜尋結果列表****/
.mall__result {
    display: block;
    width: 100%;
    padding: 90px 0 120px 0;
    overflow: visible;
}

.mall__recommend~.mall__result::before {
    content: '';
    position: absolute;
    top: 0;
    left: calc(50% - 50vw);
    display: block;
    width: 100vw;
    height: 100%;
    background: #f1f2f7;
    pointer-events: none;
}

/***頭部****/
.mall__result__head {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    align-content: center;
    justify-items: flex-start;
    justify-content: space-between;
    width: 100%;
    padding: 0 0 50px 0;
    margin: 0 0 50px 0;
    border-bottom: 2px solid rgba(91, 93, 101, .1);
}

.mall__result__head__title {
    width: auto;
    margin: 30px 20px 0 0;
    flex: 0 1 auto;
}

.mall__result__head .c-filter {
    width: auto;
    margin: 30px 0 0 0;
    flex: 0 0 auto;
}

.mall__result__head__toggle {
    display: none;
    margin: 20px auto 0 auto;
}

/**內文**/
.mall__result__inner {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-items: flex-start;
    justify-content: flex-start;
    width: 100%;
}

.mall__result__inner__item {
    width: calc((100% - 150px) / 4);
    margin: 0 50px 60px 0;
}

.mall__result__inner__item:nth-of-type(4n) {
    margin: 0 0 60px 0;
}

/**搜尋結果內文單行樣式**/
.single .mall__result__inner__item {
    width: 100%;
    margin: 0 0 20px 0;
}

@media screen and (max-width: 1300px) {

    /****搜尋****/
    .mall__search {
        padding: 20px 40px 40px 40px;
    }

    /****搜尋結果列表****/
    .mall__recommend__inner .slick-arrow {
        top: calc((100vw - 110px) * 577 / 1600 / 3 - 40px);
    }

    /****搜尋結果列表****/
    .mall__result__inner__item,
    .mall__result__inner__item:nth-of-type(4n) {
        width: calc((100% - 100px) / 3);
        margin: 0 50px 60px 0;
    }

    .mall__result__inner__item:nth-of-type(3n) {
        margin: 0 0 60px 0;
    }

    /**搜尋結果內文單行樣式**/
    .single .mall__result__inner__item {
        width: 100%;
        margin: 0 0 20px 0;
    }
}

@media screen and (max-width: 991px) {

    /****搜尋****/
    .mall__search {
        padding: 0 0 50px 0;
        border-bottom: 2px solid rgba(91, 93, 101, .1);
        background: none;
        box-shadow: none;
    }

    .mall__search__form {
        position: fixed;
        top: 30px;
        left: 30px;
        display: none;
        width: calc(100% - 60px);
        height: calc(100% - 60px);
        background: #fff;
        padding: 70px 40px 40px 40px;
        border-radius: 5px;
        overflow: hidden;
        overflow-y: auto;
        z-index: 999;
    }

    .mall__search__form::-webkit-scrollbar {
        width: 0;
    }

    .mall__search__form::-webkit-scrollbar-thumb {
        background: #00c8c8;
    }

    #searchForm:checked~.mall__search__bg,
    #searchForm:checked~.mall__search__form {
        display: block;
    }

    /**頭部**/
    .mall__search__form__head {
        position: fixed;
        top: 30px;
        left: 30px;
        display: flex;
        width: calc(100% - 60px);
    }

    /**內文**/
    .mall__search__form .c-form__item {
        padding: 20px 0;
    }

    .mall__search__bt {
        display: flex;
    }

    /****精選刊登****/
    .mall__recommend {
        width: 100%;
        margin: 0;
        padding: 55px 0;
    }

    /**頭部**/
    .mall__recommend__head {
        width: 100%;
    }

    .mall__recommend__head::before {
        display: none;
    }

    .mall__recommend__head__title {
        width: 100%;
        flex: 0 1 auto;
    }

    .mall__recommend__head__bt {
        width: 240px;
        margin: 0 0 0 15px;
    }

    /**內文**/
    .mall__recommend__inner {
        max-width: 450px;
        margin: 0 auto;
        overflow: visible;
    }

    .mall__recommend__inner .slick-list {
        overflow: visible;
    }

    .mall__recommend__inner .slick-arrow {
        top: min(119.25px, calc((100vw - 110px) * 577 / 1600 - 40px));
    }

    .mall__recommend__inner .slick-prev {
        left: calc(50% - 50vw + 30px);
    }

    .mall__recommend__inner .slick-next {
        right: calc(50% - 50vw + 30px);
    }

    .mall__recommend__inner__item {
        opacity: .2;
        transition: opacity .4s ease-in-out;
    }

    .mall__recommend__inner__item.slick-active {
        opacity: 1;
    }

    /****搜尋結果列表****/
    .mall__result {
        padding: 80px 0;
    }

    /**頭部**/
    .mall__result__head__title {
        margin: 0;
    }

    .mall__result__head .c-filter {
        width: 50%;
        margin: 0 0 0 20px;
    }

    /**內文**/
    .mall__result__inner__item,
    .mall__result__inner__item:nth-of-type(3n),
    .mall__result__inner__item:nth-of-type(4n) {
        width: calc((100% - 30px) / 2);
        margin: 0 30px 50px 0;
    }

    .mall__result__inner__item:nth-of-type(2n) {
        margin: 0 0 50px 0;
    }

    /**搜尋結果內文單行樣式**/
    .single .mall__result__inner__item,
    .single .mall__result__inner__item:nth-of-type(2n),
    .single .mall__result__inner__item:nth-of-type(3n),
    .single .mall__result__inner__item:nth-of-type(4n) {
        width: calc(50% - 15px);
        margin: 0 30px 30px 0;
    }

    .single .mall__result__inner__item:nth-of-type(2n) {
        margin: 0 0 30px 0;
    }
}

@media screen and (max-width: 767px) {

    /****搜尋****/
    /**內文**/
    .mall__search__form .c-form__item-area.active {
        display: block;
    }

    .mall__search__form .c-form__item__title {
        min-width: 0;
        padding: 0;
        margin: 0 0 20px 0;
    }

    .mall__search__form .c-form__item-keyword .c-form__item__title {
        display: none;
    }

    /****搜尋結果列表****/
    /**頭部**/
    .mall__result__head {
        display: block;
        padding: 0;
        margin: 0 0 40px 0;
        border: none;
    }

    .mall__result__head .c-filter {
        width: 100%;
        margin: 25px 0 0 0;
    }

    .mall__result__head__toggle {
        display: flex;
    }

    /**內文**/
    .mall__result__inner__item,
    .mall__result__inner__item:nth-of-type(2n),
    .mall__result__inner__item:nth-of-type(3n),
    .mall__result__inner__item:nth-of-type(4n) {
        width: 100%;
        margin: 0 0 40px 0;
    }

    /**搜尋結果內文單行樣式**/
    .single .mall__result__inner__item,
    .single .mall__result__inner__item:nth-of-type(2n),
    .single .mall__result__inner__item:nth-of-type(3n),
    .single .mall__result__inner__item:nth-of-type(4n) {
        width: 100%;
        margin: 0 0 30px 0;
    }
}

@media screen and (max-width: 575px) {

    /****搜尋****/
    .mall__search {
        padding: 0 0 20px 0;
    }

    .mall__search__form {
        top: 20px;
        left: 20px;
        display: none;
        width: calc(100% - 40px);
        height: calc(100% - 40px);
        padding: 50px 20px 20px 20px;
    }

    /**頭部**/
    .mall__search__form__head {
        top: 20px;
        left: 20px;
        width: calc(100% - 40px);
        padding: 0 0 0 20px;
    }

    .mall__search__form__head__title {
        font-size: 16px;
    }

    /**內文**/
    .mall__search__form .c-form__item__title {
        margin: 0 0 10px 0;
    }

    /****精選刊登****/
    .mall__recommend {
        padding: 25px 0 30px 0;
    }

    /**頭部**/
    .mall__recommend__head {
        margin: 0 auto 20px auto;
    }

    .mall__recommend__head__bt {
        width: 120px;
    }

    .mall__recommend__head__bt .mall__recommend__head__bt__del {
        display: none;
    }

    /**內文**/
    .mall__recommend__inner {
        max-width: 290px;
    }

    .mall__recommend__inner .slick-arrow {
        top: min(68.76px, calc((100vw - 70px) * 577 / 1600 - 25px));
    }

    .mall__recommend__inner .slick-prev {
        left: calc(50% - 50vw + 20px);
    }

    .mall__recommend__inner .slick-next {
        right: calc(50% - 50vw + 20px);
    }

    .mall__recommend__inner__item {
        margin: 0 15px;
    }

    /****搜尋結果列表****/
    .mall__result {
        padding: 30px 0 50px 0;
    }

    /**頭部**/
    .mall__result__head {
        margin: 0 0 20px 0;
    }

    .mall__result__head .c-filter {
        margin: 20px 0 0 0;
    }

    .mall__result__inner__item,
    .mall__result__inner__item:nth-of-type(2n),
    .mall__result__inner__item:nth-of-type(3n) .mall__result__inner__item:nth-of-type(4n) {
        width: 100%;
        margin: 0 0 40px 0;
    }
}



/****IOS樣式****/
@supports (-webkit-touch-callout: none) {}